Create a Fiat Wallet
curl --request POST \
--url https://sandbox-api.kotanipay.io/api/v3/wallet/fiat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Wallet",
"currency": "eg NGN or GHS or KES",
"country": "GH or GHA for Ghana"
}
'import requests
url = "https://sandbox-api.kotanipay.io/api/v3/wallet/fiat"
payload = {
"name": "My Wallet",
"currency": "eg NGN or GHS or KES",
"country": "GH or GHA for Ghana"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My Wallet',
currency: 'eg NGN or GHS or KES',
country: 'GH or GHA for Ghana'
})
};
fetch('https://sandbox-api.kotanipay.io/api/v3/wallet/fiat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Fiat wallet has been successfully created.",
"data": {
"name": "My Wallet",
"type": "eg crypto or fiat",
"currency": "eg NGN or GHS or KES",
"integrator": "4440cb6a-f7c7-11ed-b67e-0242ac120002",
"id": "f053188c-d924-4423-bbba-871eda0b1cd9",
"balance": 1000,
"deposit_balance": 1000,
"country": "GH or GHA for Ghana",
"status": "eg active or inactive"
}
}{
"success": false,
"message": "Bad Request",
"data": {}
}{
"success": false,
"message": "Unauthorized",
"data": {}
}Fiat Wallets
Create Fiat Wallet
This endpoint will create a fiat wallet for the integrator.
POST
/
api
/
v3
/
wallet
/
fiat
Create a Fiat Wallet
Create a new fiat wallet for a specific currency. Each integrator can have multiple fiat wallets for different currencies.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The name of the wallet
Example:
"My Wallet"
The currency of the wallet
Available options:
KES, GHS, NGN, ZAR, ZAR, USD, XOF, ZMW, XAF, SLE, CDF, TZS, UGX, EGP, MWK, RWF, ETB, MZN, LSL, GNF, USDT, BTC, ETH, USDC Example:
"eg NGN or GHS or KES"
The country where the wallet will be used (accepts both ISO-2 and ISO-3 codes)
Example:
"GH or GHA for Ghana"
⌘I